# Method: customers.adsDataLinks.list

- [HTTP request](https://developers.google.com/ads-data-hub/reference/rest/v1/customers.adsDataLinks/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ads-data-hub/reference/rest/v1/customers.adsDataLinks/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/ads-data-hub/reference/rest/v1/customers.adsDataLinks/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/ads-data-hub/reference/rest/v1/customers.adsDataLinks/list#body.request_body)
- [Response body](https://developers.google.com/ads-data-hub/reference/rest/v1/customers.adsDataLinks/list#body.response_body)
  - [JSON representation](https://developers.google.com/ads-data-hub/reference/rest/v1/customers.adsDataLinks/list#body.ListAdsDataLinksResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/ads-data-hub/reference/rest/v1/customers.adsDataLinks/list#body.aspect)

Lists links between the specified customer and other Google advertising entities.

### HTTP request

`GET https://adsdatahub.googleapis.com/v1/{parent=customers/*}/adsDataLinks`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Parent customer resource name, e.g. 'customers/123'. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Maximum number of items to return. If 0, the server will determine the number of linked customers to return. |
| `pageToken` | `string` Page token, returned by a previous call, used to request the next page of results, if any. |
| `filter` | `string` Filters your response. Works using the following fields / formatting: name="customers/1/adsDataLinks/CNC0w8IFEAEYAQ" platform="GOOGLE_ADS" status="PENDING" create_time.seconds\>unix_seconds update_time.seconds\>unix_seconds vendorClientId="vendor_customer" metrics="VIEWABILITY" |

### Request body

The request body must be empty.

### Response body

Response to a adsDataLinks.list request.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "links": [ { object (`https://developers.google.com/ads-data-hub/reference/rest/v1/customers.adsDataLinks#AdsDataLink`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `links[]` | ``object (`https://developers.google.com/ads-data-hub/reference/rest/v1/customers.adsDataLinks#AdsDataLink`)`` A list of ad data links. |
| `nextPageToken` | `string` A token that can be used to request the next results page. This field is empty if there are no additional results. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/adsdatahub`